package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * 
 * @author Adik
 */
public class DiagnosaPasienVO extends BaseTransactionVO {
	
	@ManyToOne
	@NotNull(message="No C M Harus Diisi")
	@Caption(value="No C M")
	private PasienVO pasien;

	@NotNull(message="Tanggal Pendaftran Tidak Boleh Kosong")
	@Caption(value="Tanggal Pendafaran")
	private Date tanggalPendaftaran;
	
	@OneToMany
	private Set<DetailDiagnosaPasienVO> diagnosis=new HashSet<DetailDiagnosaPasienVO>();

	@Column(name = "ketDiagnosis", nullable = true )
	@Caption(value="ketDiagnosis")
	private String ketDiagnosis;
	
	@Caption(value="NoRec PasienDaftar")
	private String noRecPasienDaftar;

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTanggalPendaftaran() {
		return tanggalPendaftaran;
	}

	public void setTanggalPendaftaran(Date tanggalPendaftaran) {
		this.tanggalPendaftaran = tanggalPendaftaran;
	}

	public Set<DetailDiagnosaPasienVO> getDiagnosis() {
		return diagnosis;
	}

	public void setDiagnosis(Set<DetailDiagnosaPasienVO> diagnosis) {
		this.diagnosis = diagnosis;
	}

	public String getKetDiagnosis() {
		return ketDiagnosis;
	}

	public void setKetDiagnosis(String ketDiagnosis) {
		this.ketDiagnosis = ketDiagnosis;
	}

	public String getNoRecPasienDaftar() {
		return noRecPasienDaftar;
	}

	public void setNoRecPasienDaftar(String noRecPasienDaftar) {
		this.noRecPasienDaftar = noRecPasienDaftar;
	}
	
}

